﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AzureBakery.Production.Model
{
    public class Ingredient
    {
        public int Id { get; set; }

        public string Name { get; set; }

        public decimal Price { get; set; }

        public double StockQuantity { get; set; }

        public double MinStock { get; set; }

        public Ingredient()
        {

        }

        public Ingredient(string name, decimal price, double stockQty, double minStock)
        {
            this.Name = name;
            this.Price = price;
            this.StockQuantity = stockQty;
            this.MinStock = minStock;
        }
    }
}
