﻿using AzureBakery.Production.Model;
using ManagementWebApi.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ManagementWebApi.Services
{
    public class DataService
    {
        private readonly ManagementWebApiContext db = new ManagementWebApiContext();

        public void UpdateOrder(Order order)
        {
            // Update database
            var o = db.Orders.Find(order.Id);
            if (o != null)
            {
                o.Status = order.Status;
                db.SaveChanges();
            }
        }

        public void UpdateBatch(Batch batch)
        {
            // Update database
            var b = db.Batches.Find(batch.Id);
            if (b != null)
            {
                b.Status = batch.Status;
                db.SaveChanges();
            }
        }
    }
}