﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AzureBakery.Production.Model
{
    public class Recipe
    {
        public int Id { get; set; }

        public string Name { get; set; }

        public virtual ICollection<RecipeItem> Items { get; set; }

        public string Method { get; set; }

        public DateTime CreatedDate { get; set; }

        public Recipe()
        {
            CreatedDate = DateTime.Now;
            Items = new List<RecipeItem>();
            Method = "Lorem ipsum dolor sit amet, sem mauris lectus scelerisque erat, sem diam fermentum vehicula nullam lorem, porttitor maecenas leo ipsa, sit nisl neque senectus lectus. Malesuada nec eget elit luctus sodales euismod, magna leo et cursus ante, mollis tortor eros, dolor convallis montes pellentesque vitae diam consequat, eget aliquam cursus euismod mattis placerat est. Ipsum eget diam at sollicitudin tellus. Vel vestibulum ut, molestie aliquet ultrices ullamcorper nisl nibh eleifend, luctus ac.";
        }

        public Recipe(string name)
            : this()
        {
            this.Name = name;
        }
    }
}
