﻿using Microsoft.WindowsAzure;
using OrderProcessorRole.Business;
using System.Threading.Tasks;

namespace OrderProcessorRole.Messaging
{
    public class StockQueueProcessor : StorageQueueProcessorBase
    {
        public StockQueueProcessor()
            : base("stockqueue", CloudConfigurationManager.GetSetting("AzureBakery.Production.Storage"))
        {

        }
        protected override async Task Process()
        {
            // Process stock
            await new StockProcessor().Process();
        }
    }
}
