namespace OrderProcessorRole.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class orderitembatch : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.OrderItems", "Batch_Id", c => c.Int());
            CreateIndex("dbo.OrderItems", "Batch_Id");
            AddForeignKey("dbo.OrderItems", "Batch_Id", "dbo.Batches", "Id");
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.OrderItems", "Batch_Id", "dbo.Batches");
            DropIndex("dbo.OrderItems", new[] { "Batch_Id" });
            DropColumn("dbo.OrderItems", "Batch_Id");
        }
    }
}
