﻿
using System.Runtime.Serialization;
namespace AzureBakery.Sales.Model
{
    [DataContract()] // Added to help service bus serialization cope with circular reference
    public class OrderItem
    {
        [DataMember]
        public int Id { get; set; }

        [DataMember]
        public int Quantity { get; set; }

        [DataMember]
        public virtual Product Product { get; set; }

        //[DataMember]
        public virtual Order Order { get; set; }

        public OrderItem()
        {
            this.Quantity = 1;
        }
    }
}
