﻿using AzureBakery.Sales.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AzureBakery.Sales.CustomerWebsite.Models
{
    public class BasketViewModel
    {
        public string Title { get; set; }

        public Order Order { get; set; }

        public DateTime CreatedDate { get; set; }

        public OrderStatus Status { get; set; }

        public IEnumerable<OrderItemViewModel> Items { get; set; }
    }

    public class OrderItemViewModel
    {
        public int Id { get; set; }

        public string Name { get; set; }

        public int Quantity { get; set; }

        public OrderItem Item { get; set; }
    }
}