﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AzureBakery.Production.Model
{
    public enum BatchStatus
    {
        New,
        Processing,
        Complete
    }

    public class Batch
    {
        public int Id { get; set; }

        public virtual Product Product { get; set; }

        public int Quantity { get; set; }

        public BatchStatus Status { get; set; }

        public DateTime CreatedDate { get; set; }
    }
}
