﻿
namespace AzureBakery.Production.Model
{
    public enum ProductType
    {
        Bread,
        Pastries,
        Biscuits,
        Cakes,
        Sandwiches
    }

    public class Product
    {
        public int Id { get; set; }

        public string Name { get; set; }

        public ProductType ProductType { get; set; }

        public virtual Recipe Recipe { get; set; }

        public int QuantityPerBatch { get; set; }
        
        public Product()
        {

        }

        public Product(string name, ProductType type, int quantityPerBatch) 
            : this()
        {
            this.Name = name;
            this.ProductType = type;
            this.QuantityPerBatch = quantityPerBatch;
        }
    }
}
