﻿using AzureBakery.Production.Model;
using System;
using System.Threading.Tasks;

namespace AzureBakery.Production.ManagementApplication.Services.Interfaces
{
    public interface IManagementService
    {
        event EventHandler<Order> OrderUpdated;
        event EventHandler<Batch> BatchUpdated;

        Task Register();
        Task<bool> UpdateOrder(Order order);
        Task<bool> UpdateBatch(Batch batch);
    }
}
