﻿using System.Xml.Serialization;

namespace AzureBakery.Production.Model
{
    public class OrderItem
    {
        public int Id { get; set; }

        public int Quantity { get; set; }

        public bool IsStockAllocated { get; set; }

        public virtual Product Product { get; set; }

        public virtual Order Order { get; set; }

        public virtual Batch Batch { get; set; }

        public OrderItem()
        {
            this.Quantity = 1;
        }
    }
}
