﻿
namespace CustomerPhoneApp.Helpers
{
    public class SettingsHelper
    {
        private const string PUSH_ENABLED = "PUSH_ENABLED";

        // Singleton instance
        public static readonly SettingsHelper Default = new SettingsHelper();

        private SettingsHelper()
        {

        }

        public bool IsPushEnabled
        {
            get { return StorageHelper.GetSetting<bool>(PUSH_ENABLED, true); }
            set { StorageHelper.StoreSetting(PUSH_ENABLED, value, true); }
        }

    }
}
