﻿using System.Collections.Generic;
using System.Runtime.Serialization;

namespace AzureBakery.Sales.Model
{
    [DataContract]
    public class Customer
    {
        [DataMember]
        public int Id { get; set; }

        [DataMember]
        public string FirstName { get; set; }

        [DataMember]
        public string LastName { get; set; }

        [DataMember]
        public virtual Address Address { get; set; }

        [DataMember]
        public virtual IEnumerable<Order> Orders { get; set; }

        [DataMember]
        public string PushHandle { get; set; }
    }
}
