﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Supply.Model;

namespace SupplyApp.DataServices
{
    public interface IDataService
    {
        Task<byte[]> GetBarcode(string reference);

        Task<IEnumerable<OrderEntity>> GetOrders();

        Task DispatchOrder(OrderEntity order);
    }
}
