﻿using System.IO;
using Windows.Storage.Streams;
using Windows.UI.Xaml.Media.Imaging;

namespace SupplyApp.Helpers
{
    public class Imaging
    {
        public static BitmapImage GetBitmapImage(byte[] data)
        {
            BitmapImage img = null;

            using (var ms = new InMemoryRandomAccessStream())
            {
                using (var str = ms.AsStreamForWrite())
                {
                    str.Write(data, 0, data.Length);
                    img = new BitmapImage();
                    str.Position = 0;
                    img.SetSource(ms);
                }
            }


            return img;
        }
    }
}
