﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using AzureBakery.Sales.CustomerWebsite.Models;

namespace AzureBakery.Sales.CustomerWebsite.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var ctx = new ApplicationDbContext();
            var products = ctx.Products.ToList();

            return View(products);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}