﻿
using System.Runtime.Serialization;
namespace AzureBakery.Sales.Model
{
    [DataContract(IsReference = true)] // Added to help service bus serialization cope with circular reference
    public class OrderItem
    {
        public int Id { get; set; }

        public int Quantity { get; set; }

        public virtual Product Product { get; set; }
                
        public virtual Order Order { get; set; }

        public OrderItem()
        {
            this.Quantity = 1;
        }
    }
}
