﻿using AzureBakery.Sales.Model;
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AzureBakery.Sales.DataAccess
{
    public class ApplicationDbContext : DbContext
    {
        public ApplicationDbContext()
            : base("DefaultConnection")
        {
            base.Configuration.ProxyCreationEnabled = false;

            Database.SetInitializer<ApplicationDbContext>(null);
        }

        public DbSet<Product> Products { get; set; }
    }
}
