﻿using AzureBakery.Sales.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AzureBakery.Sales.CustomerWebsite.Models
{
    public class OrdersViewModel
    {
        public string Title { get; set; }

        public IEnumerable<OrderViewModel> Items { get; set; }
    }

    public class OrderViewModel
    {
        public int Id { get; set; }

        public string Reference { get; set; }

        public DateTime CreatedDate { get; set; }

        public OrderStatus Status { get; set; }

        public Order Order { get; set; }
    }
}